Package net.postgis.jdbc.geometry.binary

# Class ValueSetter.NDR

java.lang.Object
net.postgis.jdbc.geometry.binary.ValueSetter
net.postgis.jdbc.geometry.binary.ValueSetter.NDR

Enclosing class:
  `ValueSetter`

public static class ValueSetter.NDR extends ValueSetter

## Nested Class Summary

## Nested classes/interfaces inherited from class net.postgis.jdbc.geometry.binary.ValueSetter

`ValueSetter.NDR, ValueSetter.XDR`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final byte`
`NUMBER`

### Fields inherited from class net.postgis.jdbc.geometry.binary.ValueSetter

`endian`

## Constructor Summary

Constructors
Constructor
Description
`NDR(ByteSetter data)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`setInt(int value, int index)`
Set a 32-Bit integer
`protected void`
`setLong(long value, int index)`
Set a long value.

### Methods inherited from class net.postgis.jdbc.geometry.binary.ValueSetter

`setByte, setDouble, setInt, setLong, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NUMBER

public static final byte NUMBER

See Also:
  - Constant Field Values

## Constructor Details

### NDR

public NDR(ByteSetter data)

## Method Details

### setInt

protected void setInt(int value, int index)
Description copied from class: `ValueSetter`
Set a 32-Bit integer

Specified by:
  `setInt` in class `ValueSetter`
Parameters:
  `value` - int value to be set with
  `index` - int value for the index

### setLong

protected void setLong(long value, int index)
Description copied from class: `ValueSetter`
Set a long value. This is not needed directly, but as a nice side-effect from GetDouble.

Specified by:
  `setLong` in class `ValueSetter`
Parameters:
  `value` - int value to be set with
  `index` - int value for the index